@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT KOBEI ΑΠΟ ΤΟ ΚΕΝΤΡΟ ΤΟΥΣ ΣΤΙΣ ΔΙΑΣΤΑΣΕΙΣ ΠΟΥ ΟΡΙΖΕΤΕ ΤΑ ΒΙΝΤΕΟ, ΞΕΧΩΡΙΣΤΑ ΓΙΑ ΤΟ ΚΑΘΕΝΑ
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF
echo.
echo Θα επεξεργαστώ το "%~1" ..
echo.
REM GUIDE: https://ffmpeg.org/ffmpeg-filters.html#crop
REM help: https://video.stackexchange.com/questions/4563/how-can-i-crop-a-video-with-ffmpeg
rem echo.
rem set "outWIDTH=0"
rem set /p outWIDTH=Γράψε τον Αριθμό των Pixel ΑΠΟ ΑΡΙΣΤΕΡΑ που θες ΝΑ ΞΕΚΙΝΑΕΙ το Κόψιμο, π.χ. 300, αλλιώς Enter για default 0:
rem echo.
rem echo.
rem set "outHEIGHT=0"
rem set /p outHEIGHT=Γράψε τον Αριθμό των Pixel ΑΠΟ ΠΑΝΩ που θες ΝΑ ΞΕΚΙΝΑΕΙ το Κόψιμο, π.χ. 100, αλλιώς Enter για default 0:
rem echo.

echo.
set "inWIDTH=100"
set /p inWIDTH=Γράψε τον Αριθμό των Pixel που θες ΝΑ ΕΧΕΙ ΠΛΑΤΟΣ το Κόψιμο, π.χ. 200, αλλιώς Enter για default 100:
echo.

echo.
set "inHEIGHT=50"
set /p inHEIGHT=Γράψε τον Αριθμό των Pixel που θες ΝΑ ΕΧΕΙ ΥΨΟΣ το Κόψιμο, π.χ. 100, αλλιώς Enter για default 50:
echo.

echo.
echo Κόβω στις Διαστάσεις που μου έδωσες το "%~1" ..
echo.
call ffmpeg -v quiet -stats -loglevel error  -i "%~1" -vf "crop=%inWIDTH%:%inHEIGHT%"  -c:a copy "%~p1%~n1-center-cropped-%inWIDTH%_%inHEIGHT%.%~x1"

if %ERRORLEVEL% NEQ 0 (
		call vidCodeError.bat %errorlevel%
		shift
	) else (
		call vidCodeError.bat 0
		shift		
)
if "%~1" == "" goto End
goto FF

rem endlocal 

:End 
call vid0ends.bat
exit /b 0